Update problem after Fresh Re-Install

I had to reinstall OpenSUSE after I reorganized my hard Drive partitions… I was trying to update the system when I encountered an ERROR:

           Problem connecting to a software origin
           There was a (possibly temporary) problem connecting to a software origins.
                                            DETAILS
           File"/repodata/repomd xml' not found on medium
           'http://download.opensuse.org/distribution/11.4/repo/non-oss/'

My repositories too seem all right.

Help needed to resolve this.
Thank you

Some more info may be useful

Was this during a zypper, kpackage or yast update? Assuming it wasn’t during the install itself as you say your reposirories seem ok

I got the same previously quoted ERROR with all- Kpackage, zypper and Yast…

error message from terminal

Retrieving repository 'openSUSE-11.4-Non-Oss' metadata \]
File '/repodata/repomd.xml' not found on medium 'http://download.opensuse.org/distribution/11.4/repo/non-oss/'

Abort, retry, ignore? [a/r/i/?] (a): a
Retrieving repository 'openSUSE-11.4-Oss' metadata [error]
Repository 'openSUSE-11.4-Oss' is invalid.
Can't provide /repodata/repomd.xml
Please check if the URIs defined for this repository are pointing to a valid repository.
Warning: Disabling repository 'openSUSE-11.4-Oss' because of the above error.

You seem to have the correct url for the oss repository

Is the machine you’re posting from the machine you’re trying to update? The reason I ask is because one reason for what you’re seeing there could be that the internet connection isn’t working

Another being a problem with the repository itself, rare but it can happen, do you get the same thing for every repository or just for non-oss?

Yes it is the same machine and I am logged into OpenSUSE_amd64.

It is only the Oss and Non-Oss repos that are causing problems… other repos seem to work

zypper update
Retrieving repository 'openSUSE-11.4-Non-Oss' metadata \]
File '/repodata/repomd.xml' not found on medium 'http://download.opensuse.org/distribution/11.4/repo/non-oss/'

Abort, retry, ignore? [a/r/i/?] (a): a
Retrieving repository 'openSUSE-11.4-Non-Oss' metadata [error]
Repository 'openSUSE-11.4-Non-Oss' is invalid.
Can't provide /repodata/repomd.xml
Please check if the URIs defined for this repository are pointing to a valid repository.
Warning: Disabling repository 'openSUSE-11.4-Non-Oss' because of the above error.
Retrieving repository 'openSUSE-11.4-Oss' metadata |]
File '/repodata/repomd.xml' not found on medium 'http://download.opensuse.org/distribution/11.4/repo/oss/'

Abort, retry, ignore? [a/r/i/?] (a): a
Retrieving repository 'openSUSE-11.4-Oss' metadata [error]
Repository 'openSUSE-11.4-Oss' is invalid.
Can't provide /repodata/repomd.xml
Please check if the URIs defined for this repository are pointing to a valid repository.
Warning: Disabling repository 'openSUSE-11.4-Oss' because of the above error.
Loading repository data...
Reading installed packages...

The following package updates will NOT be installed:
  apparmor-utils MozillaFirefox MozillaFirefox-branding-openSUSE 
  MozillaFirefox-translations-common perl-libwww-perl 

The following NEW packages are going to be installed:
  ghostscript-fonts-other gstreamer-0_10-plugins-good-lang 
  gtk2-branding-upstream gxditview ktorrent-lang libktorrent3-lang tar-lang 

The following packages are going to be REMOVED:
  libktcore12 opensuse-codecs-installer 

The following packages are going to be upgraded:
  aaa_base aaa_base-extras alsa apparmor-parser apparmor-profiles bind-libs 
  bind-utils bootsplash bootsplash-branding-openSUSE btrfsprogs coreutils cron 
  cronie cups cups-client cups-libs desktop-data-openSUSE dhcp dhcpcd 
  dhcp-client dosfstools espeak gdk-pixbuf-loader-libopenraw 
  ghostscript-fonts-std ghostscript-library ghostscript-x11 gimp groff 
  gstreamer-0_10-plugins-good gtk2-data gtk2-immodule-amharic 
  gtk2-immodule-inuktitut gtk2-immodule-thai gtk2-immodule-vietnamese 
  gtk2-tools insserv kdebase4-openSUSE kdebase4-runtime-branding-openSUSE 
  kdebase4-workspace-branding-openSUSE kdelibs4 kdelibs4-branding-openSUSE 
  kdelibs4-core kdm-branding-openSUSE kernel-desktop kio_sysinfo 
  kio_sysinfo-branding-openSUSE krb5 krb5-client ktorrent libapparmor1 
  libasound2 libcairo2 libgimp-2_0-0 libgimpprint libgimpui-2_0-0 libgpod4 
  libgpod-tools libgtk-2_0-0 libgudev-1_0-0 libkde4 libkdecore4 
  libksuseinstall1 libktorrent3 libmodplug0 libopenraw1 libopenssl1_0_0 
  libpackagekit-glib2-14 libpackagekit-qt14 libpcap1 libpolkit0 libpulse0 
  libpulse-browse0 libpulse-mainloop-glib0 libpython2_7-1_0 
  libreoffice-libs-gui libtiff3 libudev0 libusbmuxd1 libvmtools0 libzip1 
  logrotate mdadm Mesa mingetty ModemManager MozillaFirefox 
  MozillaFirefox-translations-common mozilla-js20 mozilla-xulrunner20 
  mozilla-xulrunner20-translations-common mtools NetworkManager 
  NetworkManager-glib nfs-client ntp openssl open-vm-tools open-vm-tools-gui 
  openvpn PackageKit PackageKit-branding-openSUSE PackageKit-browser-plugin 
  PackageKit-gstreamer-plugin PackageKit-gtk-module pam_apparmor perl 
  perl-apparmor perl-base permissions polkit postfix preload-kmp-desktop 
  pullin-flash-player pulseaudio pulseaudio-esound-compat 
  pulseaudio-module-bluetooth pulseaudio-module-jack pulseaudio-module-lirc 
  pulseaudio-module-x11 pulseaudio-module-zeroconf pulseaudio-utils python 
  python-base python-xml release-notes-openSUSE rsync rsyslog smolt smolt-gui 
  SuSEfirewall2 sysconfig sysvinit sysvinit-tools tar timezone 
  translation-update translation-update-de udev udisks usbmuxd 
  virtualbox-guest-kmp-desktop virtualbox-guest-tools virtualbox-guest-x11 
  vmware-guest-kmp-desktop xorg-x11 xorg-x11-driver-video xorg-x11-server 
  xorg-x11-xauth xorg-x11-Xvnc yast2-bootloader yast2-control-center 
  yast2-control-center-qt yast2-ldap-client yast2-network yast2-qt 
  yast2-trans-de yast2-trans-en_US zlib 

The following package is going to change architecture:
  apparmor-profiles  x86_64 -> noarch


158 packages to upgrade, 7 new, 2 to remove, 1 to change arch.
Overall download size: 154.0 MiB. After the operation, additional 21.2 MiB will 
be used.
Continue? [y/n/?] (y):

Just tested the repos and no problem there

Could try deleting then re-adding the problematic repos via Yast

Just did that… the same error.

Where can I find the latest list of repos?

Package repositories - openSUSE

The problem has been solved bythis thread. I wonder how I missed this thread.

Thank you Ecky for you help.

PS. How do I mark this thread SOLVED? Forum Mods please mark it so, I don’t know how to.